# Generated from joystick-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name joystick

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: binding for Linux kernel joysticks
License: GPL-3
URL: http://github.com/silverhammermba/joystick
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
This is a Ruby extension that wraps the fuctionality provided by
linux/joystick.h, allowing Ruby scripts to use input from Xbox 360
controllers, PS3 Sixaxis controllers, etc.
I originally took this code from Claudio Fiorini's rjoystick gem, made it a
little easier to use, made it work with Ruby's Threads, and added
documentation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.0-1
- Initial package
